Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-81rq7yew/virtualenvwrapper/

安装 virtualenvwrapper 时报错:Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-81rq7yew/virtualenvwrapper/

root@iZuf6bcqegh8n0l5hcge16Z:~# sudo pip3 install virtualenvwrapper -ihttps://pypi.douban.com/simple/
Collecting virtualenvwrapper
  Downloading https://pypi.doubanio.com/packages/c1/6b/2f05d73b2d2f2410b48b90d3783a0034c26afa534a4a95ad5f1178d61191/virtualenvwrapper-4.8.4.tar.gz (334kB)
    100% |████████████████████████████████| 337kB 2.7MB/s 
    Complete output from command python setup.py egg_info:
      Could not find a version that satisfies the requirement pbr (from versions: )
    No matching distribution found for pbr
    Traceback (most recent call last):
      File "/usr/local/lib/python3.6/dist-packages/setuptools/installer.py", line 128, in fetch_build_egg
        subprocess.check_call(cmd)
      File "/usr/lib/python3.6/subprocess.py", line 311, in check_call
        raise CalledProcessError(retcode, cmd)
    subprocess.CalledProcessError: Command '['/usr/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpz5ufj27f', '--quiet', '--index-url', 'http://mirrors.cloud.aliyuncs.com/pypi/simple/', 'pbr']' returned non-zero exit status 1.
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-81rq7yew/virtualenvwrapper/setup.py", line 7, in <module>
        pbr=True,
      File "/usr/local/lib/python3.6/dist-packages/setuptools/__init__.py", line 143, in setup
        _install_setup_requires(attrs)
      File "/usr/local/lib/python3.6/dist-packages/setuptools/__init__.py", line 138, in _install_setup_requires
        dist.fetch_build_eggs(dist.setup_requires)
      File "/usr/local/lib/python3.6/dist-packages/setuptools/dist.py", line 698, in fetch_build_eggs
        replace_conflicting=True,
      File "/usr/local/lib/python3.6/dist-packages/pkg_resources/__init__.py", line 783, in resolve
        replace_conflicting=replace_conflicting
      File "/usr/local/lib/python3.6/dist-packages/pkg_resources/__init__.py", line 1066, in best_match
        return self.obtain(req, installer)
      File "/usr/local/lib/python3.6/dist-packages/pkg_resources/__init__.py", line 1078, in obtain
        return installer(requirement)
      File "/usr/local/lib/python3.6/dist-packages/setuptools/dist.py", line 754, in fetch_build_egg
        return fetch_build_egg(self, req)
      File "/usr/local/lib/python3.6/dist-packages/setuptools/installer.py", line 130, in fetch_build_egg
        raise DistutilsError(str(e))
    distutils.errors.DistutilsError: Command '['/usr/bin/python3', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpz5ufj27f', '--quiet', '--index-url', 'http://mirrors.cloud.aliyuncs.com/pypi/simple/', 'pbr']' returned non-zero exit status 1.
    
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-81rq7yew/virtualenvwrapper/

 

执行新的安装

sudo pip3 install -i https://pypi.tuna.tsinghua.edu.cn/simple pbr

再次安装virtualenvwrapper ,Successfully installed stevedore-1.32.0 virtualenv-clone-0.5.4 virtualenvwrapper-4.8.4

 

 

posted @ 2020-04-29 16:20  北斗星君  阅读(141)  评论(0编辑  收藏